//-------------------------------------------
// Q[{
//-------------------------------------------

#pragma once

#include "sceneBase.h"

class CGameMain
{
private:
	Fl_Window		*mainWindow ;
	fk_Window		*window ;

	fk_Model		camera , lightModel ;
	fk_Light		light ;
	fk_Scene		scene ;

	CSceneBase		*gameScene ;
	eScene			sceneType ;

	CInput			input ;
	CDatabase		database ;

	bool			sceneChange ;

public:
	CGameMain();
	~CGameMain();

	void	init( Fl_Window *lw , fk_Window *kw );
	void	changeScene();
	void	deleteScene();
	void	game();
};
