//---------------------------------------------------
// ֌Wf[^x[X
//---------------------------------------------------

#pragma once

#include "common.h"
#include "../FKUT/Audio.h"

class CSoundDB
{
private:
	int		bgmVol ;
	int		seVol ;

	std::map<const char* , fk_AudioStream>				bgm ;
	std::map<const char* , fk_AudioStream>::iterator	bgmIte ;
	std::map<const char* , fk_AudioWavBuffer>			se ;
	std::map<const char* , fk_AudioWavBuffer>::iterator	seIte ;

public:
	CSoundDB();
	~CSoundDB();

	void	changeVolume( int bgmVolume , int seVolume );
	void	loadBGM( const char* name , const char* bgmPass );
	void	loadSE( const char* name , const char* sePass );
	void	playBGM( const char* name );
	void	playSE( const char* name );
	void	stopBGM( const char* name );
	void	stopSE( const char* name );
	void	stopAll();
	void	deleteBGM( const char* name );
	void	deleteSE( const char* name );
	void	deleteAll();

};
