//---------------------------------------------------
// RtBO֌Wf[^x[X
//---------------------------------------------------

#include "configDB.h"

CConfigDB::CConfigDB()
{
	bgmVolume = 100 ;
	seVolume = 100 ;
	fullScreen = 0 ;
}

CConfigDB::~CConfigDB()
{
}

/*
 RtBOt@Cǂݍ
 */
void CConfigDB::read( const char* pass )
{
	char			str[1024] ;
	unsigned int	equalPoint ;
	std::string		checkStr , numStr ;

	// t@CI[v
	ifstream txt( pass );
	if( txt.fail() )
	{
		fl_alert( "read error [%s]" , pass );
	}
	else
	{
		while( !txt.eof() )
		{
			txt.getline( str , 1024 );
			txtStr.push_back( str );
		}
		txt.close();
	}

	// f[^o^
	int size = txtStr.size();
	for( int i=0 ; i<size ; i++ )
	{
		if( ( equalPoint = txtStr[i].find( '=' , 0 ) ) != string::npos )
		{
			checkStr = txtStr[i].substr( 0 , equalPoint );
			numStr = txtStr[i].substr( equalPoint+1 );
			if( checkStr == "BGMVolume" )
			{
				bgmVolume = atoi( numStr.c_str() );
				if( bgmVolume < 0 || bgmVolume > 100 )
				{
					bgmVolume = 100 ;
				}
			}
			else if( checkStr == "SEVolume" )
			{
				seVolume = atoi( numStr.c_str() );
				if( seVolume < 0 || seVolume > 100 )
				{
					seVolume = 100 ;
				}
			}
			else if( checkStr == "FullScreen" )
			{
				fullScreen = atoi( numStr.c_str() );
				if( fullScreen < 0 || fullScreen > 1 )
				{
					fullScreen = 0 ;
				}
			}
		}
	}
	txtStr.clear();
}

/*
 RtBOt@C
 */
void CConfigDB::write( const char* pass )
{
	int		txtSize = 0 ;
	char	str[64] ;

	txtStr.push_back( "[CONFIG]" );
	sprintf_s( str , 64 , "BGMVolume=%d" , bgmVolume );
	txtStr.push_back( str );
	sprintf_s( str , 64 , "SEVolume=%d" , seVolume );
	txtStr.push_back( str );
	sprintf_s( str , 64 , "FullScreen=%d" , fullScreen );
	txtStr.push_back( str );
	txtStr.push_back( "" );
	txtStr.push_back( "*BGMVolume:Q[BGM̉ʁB0`100B" );
	txtStr.push_back( "*SEVolume:Q[̌ʉ̉ʁB0`100B" );
	txtStr.push_back( "*FullScreen:0ŃEBhE[hA1ŃtXN[[hB" );

	// t@CI[v
	ofstream	txt( pass );
	if( txt.fail() )
	{
		fl_alert( "read error [%s]" , pass );
	}
	else
	{
		txtSize = txtStr.size();
		for( int i=0 ; i<txtSize ; i++ )
		{
			txt << txtStr[i] << std::endl ;
		}
		txt.close();
	}

	txtStr.clear();
}

/*
 bgmVolumeݒ
 */
void CConfigDB::setBgmVolume( int arg )
{
	if( arg >= 0 && arg <= 100 )
	{
		bgmVolume = arg ;
	}
}

/*
 seVolumeݒ
 */
void CConfigDB::setSeVolume( int arg )
{
	if( arg >= 0 && arg <= 100 )
	{
		seVolume = arg ;
	}
}

/*
 fullScreenݒ
 */
void CConfigDB::setFullScreen( int arg )
{
	if( arg == 0 || arg == 1 )
	{
		fullScreen = arg ;
	}
}

/*
 bgmVolume擾
 */
int CConfigDB::getBgmVolume()
{
	return bgmVolume ;
}

/*
 seVolume擾
 */
int CConfigDB::getSeVolume()
{
	return seVolume ;
}

/*
 fullScreen擾
 */
int CConfigDB::getFullScreen()
{
	return fullScreen ;
}
