//---------------------------------------------------
// V[x[X
//---------------------------------------------------

#pragma once

#include "common.h"
#include "database.h"
#include "cInput.h"

class CSceneBase
{
private:

protected:
	eScene		*scene ;
	CDatabase	*DB ;
	CInput		*input ;

public:
	virtual ~CSceneBase(){};

	virtual void	init() = 0 ;
	virtual bool	onPeriod() = 0 ;

	void			setAddress( eScene *e , CDatabase *d , CInput *i );

};
