//---------------------------------------------------
// ֌Wf[^x[X
//---------------------------------------------------

#include "soundDB.h"

CSoundDB::CSoundDB()
{
	bgmVol = 100 ;
	seVol = 100 ;
}

CSoundDB::~CSoundDB()
{
}

/*
 {[ύXi-1ŖύXj
 */
void CSoundDB::changeVolume( int bgmVolume , int seVolume )
{
	if( bgmVolume != -1 )
	{
		bgmVol = bgmVolume ;
	}
	if( seVolume != -1 )
	{
		seVol = seVolume ;
	}
}

/*
 BGM[h
 */
void CSoundDB::loadBGM( const char* name , const char* pass )
{
	fk_AudioStream	check ;
	deleteBGM( name );
	bgm.insert( std::make_pair( name , check ) );
	bgmIte = bgm.find( name );
	if( !(*bgmIte).second.open( pass ) )
	{
		fl_alert( "read error [%s]" , pass );
		deleteBGM( name );
		return ;
	}
	(*bgmIte).second.setGain( bgmVol/200.0 );
	(*bgmIte).second.setLoopMode( true );
	(*bgmIte).second.play();	// ňx炳ȂƈȌȂioOHj
	(*bgmIte).second.pause();
}

/*
 SE[h
 */
void CSoundDB::loadSE( const char* name , const char* pass )
{
	fk_AudioWavBuffer	check ;
	deleteSE( name );
	se.insert( std::make_pair( name , check ) );
	seIte = se.find( name );
	if( !(*seIte).second.open( pass ) )
	{
		fl_alert( "read error [%s]" , pass );
		deleteSE( name );
		return ;
	}
	(*seIte).second.setGain( seVol/200.0 );
	(*seIte).second.play();	// ňx炳ȂƈȌȂioOHj
	(*seIte).second.pause();
}

/*
 BGMĐ
 */
void CSoundDB::playBGM( const char* name )
{
	bgmIte = bgm.find( name );
	if( bgmIte != bgm.end() )
	{
		(*bgmIte).second.play();	// AstopBGM()ĂԂƃ[vʒuoO
	}
}

/*
 SEĐ
 */
void CSoundDB::playSE( const char* name )
{
	seIte = se.find( name );
	if( seIte != se.end() )
	{
		stopSE( name );
		(*seIte).second.play();
	}
}

/*
 BGM~iFɒ~Ăꍇɂ͌Ă΂Ȃj
 */
void CSoundDB::stopBGM( const char* name )
{
	bgmIte = bgm.find( name );
	if( bgmIte != bgm.end() )
	{
		(*bgmIte).second.pause();
		(*bgmIte).second.seek( 0.0 );	// 2ȏĂԂƃoO
	}
}

/*
 SE~iFɒ~Ăꍇɂ͌Ă΂Ȃj
 */
void CSoundDB::stopSE( const char* name )
{
	seIte = se.find( name );
	if( seIte != se.end() )
	{
		(*seIte).second.pause();
		(*seIte).second.seek( 0.0 );
	}
}

/*
 SBGM&SE~
 */
void CSoundDB::stopAll()
{
	for( bgmIte = bgm.begin() ; bgmIte != bgm.end() ; bgmIte ++ )
	{
		(*bgmIte).second.pause();
		(*bgmIte).second.seek( 0.0 );
	}
	for( seIte = se.begin() ; seIte != se.end() ; seIte ++ )
	{
		(*seIte).second.pause();
		(*seIte).second.seek( 0.0 );
	}
}

/*
 BGM폜
 */
void CSoundDB::deleteBGM( const char* name )
{
	stopBGM( name );
	bgm.erase( name );
}

/*
 SE폜
 */
void CSoundDB::deleteSE( const char* name )
{
	stopSE( name );
	se.erase( name );
}

/*
 SBGM&SE폜
 */
void CSoundDB::deleteAll()
{
	stopAll();
	bgm.clear();
	se.clear();
}
